This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.112. __nv_fdimf

Prototype:

    float @__nv_fdimf(float %x, float %y)

Description:

Compute the positive difference between `x` and `y`. The positive difference is `x` - `y` when `x` > `y` and +0 otherwise.

Returns:

Returns the positive difference between `x` and `y`.

- __nv_fdimf(`x`, `y`) returns `x` - `y` if `x` > `y`.

- __nv_fdimf(`x`, `y`) returns +0 if `x` ≤ `y`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes